markad(1)

NAME
MarkAd - marks advertisements in VDR recordings.

SYNOPSIS
markad [options]

DESCRIPTION
MarkAd marks advertisements in VDR recordings.

OPTIONS

Usage: markad [options] cmd <record>

-b , --background
    markad runs as a background-process this will be automatically set if called with "after"

-d , --disable=<option>
    <option> 1 = disable video decoding, 2 = disable audio decoding,
                    3 = disable video and audio decoding

-i , --ignoreinfo=<info>
    ignores hints from info(.vdr) file <info> 4 = ignore timer info

-l , --logocachedir
    directory where logos stored, default /var/lib/markad
     if there is no suitable logo file found, markad will try to find the logo in the video and store the result in the recording directory

--autologo=<option>
    <option> 0 = disable, only use logos from logo cache directory (default)
               1 = enable, if there is no suitable logo in the logo cache directroy
                   find logo from recording and store it in the recording directory
                   memory usage optimized operation mode, but runs slow
               2 = enable, if there is no suitable logo in the logo cache directroy
                   find logo from recording and store it in the recording directory
                   speed optimized operation mode, but needs a lot of memonry, use it only > 1 GB memory

-p , --priority=<priority>
    software priority of markad when running in background <priority> from -20...19, default 19

-r , --ioprio=<class>[,<level>]
    io priority of markad when running in background <class> 1 = realtime, <level> from 0..7, default 4
                 2 = besteffort, <level> from 0..7, default 4
                 3 = idle (default)

-v , --verbose
    increments loglevel by one, can be given multiple times

-B , --backupmarks
    make a backup of existing marks

-I , --saveinfo
    correct information in info file

-L , --extractlogo=<direction>[,width[,height]]
    extracts logo to /tmp as pgm files (must be renamed) <direction> 0 = top left, 1 = top right
                      2 = bottom left, 3 = bottom right
                      [width] range from 50 to 480, default 192 (SD)
                            default 288 (HD)
                      [height] range from 20 to 250, default 100 (SD)
                            default 180 (HD)

-O , --OSD
    markad sends an OSD-Message for start and end

-R , --log2rec
    write logfiles into recording directory

-T , --threads=<number>
    number of threads used for decoding, max. 16 (default is the number of cpus)

-V , --version
    print version-info and exit

--loglevel=<level>
    sets loglevel to the specified value <level> 1=error 2=info 3=debug 4=trace

--markfile=<markfilename>
    set a different markfile-name

--nopid
    disables creation of markad.pid file in recdir

--online[=1|2] ( default is 1 )
    start markad immediately when called with "before" as cmd if online is 1, markad starts online for live-recordings only, online=2 starts markad online for every recording live-recordings are identified by having a '@' in the filename so the entry 'Mark instant recording' in the menu Setup - Recording of the vdr should be set to 'yes'

--pass1only
    process only first pass, setting of marks

--pass2only
    process only second pass, fine adjustment of marks

--svdrphost=<ip/hostname> ( default is 127.0.0.1 )
    ip/hostname of a remote VDR for OSD messages

--astopoffs=<value>  ( default is 0 )
    assumed stop offset in seconds range from 0 to 240

--posttimer=<value> ( default is 600 )
     additional recording time in seconds after epg timer end
     range from 0 to 1200

--vps
    use VPS events from markad.vps to optimize start and stop marks

--cut
    cut video based on marks and store it in the recording directory
     there are no splits of the target file, make sure your filesystem can handle big files

--ac3reencode
    re-encode AC3 stream to fix low audio level of cutted video on same devices
     requires --cut
     use it only if you really need it, it is very CPU consuming

--svdrpport=<port>  ( default is 6419 )
    port of a remote VDR for OSD messages
     cmd: one of
     - dummy-parameter if called directly
     after markad starts to analyze the recording
     before markad exits immediately if called with "before
     edited markad exits immediately if called with "edited"
     nice runs markad with nice(19)
     <record> is the name of the directory where the recording
                            is stored

AUTHOR
Written by Jochen Dolze <vdr@dolze.de>

REPORTING BUGS
Report bugs to http://projects.vdr-developer.org/projects/plg-markad/issues

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. See the file COPYING for more information.